Saltar al contenido principal
PUT
/
v1
/
pix-automatico
/
authorizations
/
{idRecorrencia}
/
respond
Responder a una autorización de Pix Automático
curl --request PUT \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/respond \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountType": 123,
  "payerName": "<string>",
  "result": true,
  "authorizedAt": "<string>",
  "ibgeCode": 123,
  "payerMaxAmount": 123,
  "rejectionReason": "<string>"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/respond"

payload = {
"accountType": 123,
"payerName": "<string>",
"result": True,
"authorizedAt": "<string>",
"ibgeCode": 123,
"payerMaxAmount": 123,
"rejectionReason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountType: 123,
payerName: '<string>',
result: true,
authorizedAt: '<string>',
ibgeCode: 123,
payerMaxAmount: 123,
rejectionReason: '<string>'
})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "idRecorrencia": "<string>",
  "requestedAt": "<string>",
  "idReqJdPi": "<string>",
  "status": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token usando credenciales de cliente (clientId y clientSecret).

Incluye el token en el encabezado Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

El token expira después de 3600 segundos (1 hora).

Parámetros de ruta

idRecorrencia
string
requerido

The recurrence id (29-char, RR...). El id de recurrencia (29 caracteres, RR...).

Cuerpo

application/json
accountType
integer<int64>
requerido

tpContaPagador (0..3).

payerName
string
requerido

Nombre del pagador (nomePagador).

result
boolean
requerido

resultadoAutorizacao (true=aceptar, false=rechazar).

authorizedAt
string

Marca de tiempo de la autorización (dtHrAutorizacaoRecorrencia, UTC; obligatoria al aceptar).

ibgeCode
integer<int64>

Código IBGE del municipio (codMunIbge; obligatorio al aceptar).

payerMaxAmount
number<double>

Tope máximo del pagador en reales (vlrMaxPagador).

rejectionReason
string

Motivo de rechazo (motivoRejeicao; AP13/AP14/AP15; obligatorio al rechazar).

Respuesta

Aceptado

idRecorrencia
string
requerido

El id de recurrencia.

requestedAt
string
requerido

Marca de tiempo de la solicitud en el upstream (marca de tiempo de la solicitud del upstream, UTC).

idReqJdPi
string

El id de solicitud del upstream (GUID de 36 caracteres; omitido por 4.3.10).

status
string

El estado local resultante de la autorización.